Name:           mod_auth_token
Version:        1.0.5
Release:        12%{?dist}
Summary:        Token based URI access module for Apache

Group:          System Environment/Daemons
License:        ASL 2.0
URL:            http://code.google.com/p/mod-auth-token/
Source0:        http://mod-auth-token.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  httpd-devel automake libtool

%description
mod_auth_token allow you to generate URIS for a determined time window,
you can also limit them by IP. This is very useful to handle file
downloads, generated URIS can't be hot-linked (after it expires), also
it allows you to protect very large files that can't be piped trough a
script languages due to memory limitation.

%prep
%setup -q
rm -f configure
autoreconf -fi
automake
./configure

%build
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
apxs  -c mod_auth_token.c
install -m 755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
# Drop empty NEWS-file.
rm -f $RPM_BUILD_ROOT/usr/share/doc/mod_auth_token-1.0.5/NEWS

%files
%{_libdir}/httpd/modules/*.so
%doc README LICENSE COPYING AUTHORS ChangeLog

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Jan-Frode Myklebust <janfrode@tanso.net> - 1.0.5-2
Apply package review patch from Lukáš Zapletal.

* Thu May 24 2012 Jan-Frode Myklebust <janfrode@tanso.net> - 1.0.5-1
Don't use full path for apxs, since it's moved around in later fedoras.

* Thu May 24 2012 Jan-Frode Myklebust <janfrode@tanso.net> - 1.0.5
Initial build.

